<template>
  <ui-input
    v-model="name"
    label="Your Name (with error)"
    hints="at least 4 characters"
    :errors="invalid && 'Please enter you name!'"
    required
  >
    <template #iconLeft>
      <pencil-square-icon />
    </template>
  </ui-input>
</template>

<script lang="ts" setup>
import { computed, ref } from 'vue'
import { PencilSquareIcon } from '@heroicons/vue/20/solid'

const name = ref('')

const invalid = computed(() => name.value.length < 4)
</script>
